LinkedIn Search Jobs API

Search public LinkedIn jobs by keyword, location, date and company. Job type, experience and remote/hybrid/on-site filters are unavailable.

1 creditper request
GET
/v1/linkedin/search/jobs
curl "https://api.scrapecreators.com/v1/linkedin/search/jobs" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 100,
  "credits_charged": 1,
  "jobs": [
    {
      "id": "4479305237",
      "url": "https://www.linkedin.com/jobs/view/4479305237/",
      "title": "Software Engineer I, Fullstack (Search)",
      "company": {
        "name": "Affirm",
        "url": "https://www.linkedin.com/company/affirm",
        "logo": "https://media.licdn.com/dms/image/v2/C560BAQEHSbORvS_jKg/company-logo_100_100/company-logo_100_100/0/1630665839795/affirm_logo?e=2147483647&v=beta&t=DTdnXfvSnUdk2QDzx2pxLSTqSBNcll6e2T8YQQGRHEk"
      },
      "location": "Salt Lake City, UT",
      "date_posted": "2026-11-06",
      "posted_time_ago": "2 weeks ago"
    }
  ],
  "cursor": "10"
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

query
string
required

Job search keyword or phrase.

Example:
software engineer
location
string

City, region or country. Omit to use LinkedIn’s default location.

Example:
United States
date_posted
string

Jobs posted in the last 24 hours or week. Omit for any time.

Example:
last-week
Available options:
last-24-hours,
last-week
company_id
string

Numeric LinkedIn company ID, not a company name or URL.

Example:
1441
cursor
string

Next offset returned by the previous response. Keep the same search and filters; maximum 990.

Example:
10